#!/usr/bin/env ruby

require 'textgen.rb'

strings = {
    "m_rdthis" => "Read this!",
    "m_option" => "Opzioni",
    "m_quitg" => "Esci gioco",
    "m_ngame" => "Nuova gioco",
    "m_endgam" => "End Game",
    "m_pause" => "Pause",
    "m_messg" => "Messagi:",
    "m_msgon" => "attivato",
    "m_msgoff" => "disattivato",
    "m_episod" => "Quale Episodio?",
    "m_epi1" => "Knee-Deep in the Dead",
    "m_epi2" => "The Shores of Hell",
    "m_epi3" => "Inferno",
    "m_hurt" => "danneggimi tanto.",
    "m_jkill" => "non mi uccidere!",
    "m_rough" => "Non troppo difficile.",
    "m_skill" => "Livello di abilita:",
    "m_newg" => "Nuova Gioco",
    "m_ultra" => "Ultra-Violenza.",
    "m_nmare" => "Incubo!",
    "m_svol" => "Sound Volume",
    "m_optttl" => "OPZIONE",
    "m_saveg" => "Salva gioco",
    "m_loadg" => "Carica gioco",
    "m_disp" => "Display", 
    "m_msens" => "Mouse sensitivity",
    "m_gdhigh" => "alta",
    "m_gdlow" => "cattiva",
    "m_detail" => "Qualita:",
    "m_disopt" => "DISPLAY OPTIONS",
    "m_scrnsz" => "Screen Size",
    "m_sgttl" => "SAVE GAME",
    "m_lgttl" => "LOAD GAME",
    "m_sfxvol" => "Sfx Volume",
    "m_musvol" => "Music Volume",
}

Dir.mkdir("italian")
Dir.mkdir("italian/graphics")

strings.each_pair do |key, value|
    img = gen_text(value)
    img.write("italian/graphics/" + key + ".gif")
end

File.open("italian/wadinfo.txt", 'w') do |file|
    file.puts "[graphics]"

    for k in strings.keys
        file.puts k
    end
end



